Name: 		libsmapi
Summary: 	Husky project squish api library
Version: 	2.3
Release: 	alt0.10
License: 	GPL
Group: 		System/Libraries
Requires: 	ftn
Packager: 	FTN Development Team <ftn@packages.altlinux.org>

Source0:	smapi.tar.bz2
Source2:	huskymak.cfg

Patch1:		smapi-noldconfig.patch

%description
Husky project squish api library

%description -l ru_RU.KOI8-R
      squish.

%package devel
Group: 		Development/C
Summary: 	Husky project squish api library header files

%description devel
Husky project squish api static library files

%description -l ru_RU.KOI8-R
 ,    ,
       squish.

%package devel-static
Group: 		Development/C
Summary: 	Husky project squish api library header files

%description devel-static
Husky project squish api static library files

%description -l ru_RU.KOI8-R devel-static
,     ,
      squid. 

%prep

%setup -n smapi
cp %SOURCE2 $RPM_BUILD_DIR/huskymak.cfg
%patch1 -p1

%build
%make

%install

%__mkdir_p %buildroot%_libdir
%__mkdir_p %buildroot%_includedir/smapi

%make PREFIX=$RPM_BUILD_ROOT/usr install

%__install api_jam.h %buildroot%_includedir/smapi


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(755,root,root)
%_libdir/*.so*

%files devel
%defattr(644,root,root)
%dir %attr(755,root,root) %_includedir/smapi
%_includedir/smapi/*

%files devel-static
%defattr(644,root,root)
%_libdir/*.a

%changelog
* Sun Feb 02 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.3-alt0.10
- Added Packager Tag

* Sun Feb 02 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.3-alt0.9
- Build for ALT Linux Master 2.2 distributions

* Wed Nov 13 2002 Albert R. Valiev <darkstar@altlinux.ru> 2.3-alt0.7
- New cvs snapshot build

* Tue Oct 22 2002 Albert R. Valiev <darkstar@altlinux.ru> 2.3-alt0.6
- Some spec file bugs corrections

* Mon Oct 21 2002 Albert R. Valiev <darkstar@altlinux.ru> 2.3-alt0.5
- Some spec file bugs corrections

* Sat Oct 19 2002 Albert R. Valiev <darkstar@altlinux.ru> 2.3-alt0.4
- Build new CVS snapshot with gcc-3.2

* Fri Oct 18 2002 Albert R. Valiev <darkstar@altlinux.ru> 2.3-alt0.3
- Some spec corrections

* Fri Aug 16 2002 Albert R. Valiev <darkstar@altlinux.ru> 2.3-alt0.2
- Some spec corrections

* Sat Jul 20 2002 Albert R. Valiev <darkstar@altlinux.ru> 2.3-alt0.1
- First build for sisyphus
